Bug 1316219 - Cluster admins should be able to access logs of deleted namespaces
Cluster admins should be able to access logs of deleted namespaces
Status: CLOSED CURRENTRELEASE
Product: OpenShift Container Platform
Classification: Red Hat
Component: Logging (Show other bugs)
3.1.0
Unspecified Unspecified
medium Severity low
: ---
: ---
Assigned To: ewolinet
chunchen
:
Depends On:
Blocks: OSOPS_V3
  Show dependency treegraph
 
Reported: 2016-03-09 12:14 EST by Wesley Hearn
Modified: 2017-03-08 13 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-08-17 14:48:19 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
es_pod_log (6.48 KB, text/plain)
2016-03-18 06:54 EDT, Xia Zhao
no flags Details

  None (edit)
Description Wesley Hearn 2016-03-09 12:14:36 EST
Description of problem:
Cluster admins should not have logs hidden from then when a namespace is deleted.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Add User A to cluster admin
2. User B creates a new NS and populates logs then deletes the NS
3. User A searches Kibana for the logs

Actual results:
User A does not have access to the logs

Expected results:
User A should be able to see all logs stored in ES

Additional info:
Comment 3 Xia Zhao 2016-03-18 06:52:41 EDT
@ewolinet Would you please let me know what's meaning by logging-elasticsearch 3.1.1.8 image? 

--I installed OSE 3.2 with latest puddle and tested with the latest images from brew, got some error in es pod after deploying logging components. Logs attached. I will have a try later. Can you confirm this is the correct place I should test with? I also wonder the bug fix PR if possible.

Thanks,
Xia
Comment 4 Xia Zhao 2016-03-18 06:54 EDT
Created attachment 1137740 [details]
es_pod_log
Comment 7 Xia Zhao 2016-03-21 07:14:41 EDT
After about 1 hour the logs got shown on Kibana UI for all indices, and I have verified the logs from the deleted namespace exist on .all index of Kibana UI. Closing as fixed.

Note You need to log in before you can comment on or make changes to this bug.